fiddle_closure Struct Reference

## Data Fields

void * | code
ffi_closure * | pcl
ffi_cif | cif
int | argc
ffi_type ** | argv

## Detailed Description

Definition at line 5 of file closure.c.

## Field Documentation

int fiddle_closure::argc

Definition at line 9 of file closure.c.

ffi_type** fiddle_closure::argv

Definition at line 10 of file closure.c.

Referenced by closure_memsize(), dealloc(), and initialize().

ffi_cif fiddle_closure::cif

Definition at line 8 of file closure.c.

Referenced by closure_memsize(), and initialize().

void* fiddle_closure::code

Definition at line 6 of file closure.c.

Referenced by allocate(), initialize(), and to_i().

ffi_closure* fiddle_closure::pcl

Definition at line 7 of file closure.c.

Referenced by allocate(), dealloc(), and initialize().

The documentation for this struct was generated from the following file:

- ext/fiddle/closure.c